## org.eclipse.emf.transaction
Class RollbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.transaction.RollbackException

All Implemented Interfaces:
  Serializable

    public class RollbackException

extends Exception

Exception indicating that a transaction was automatically rolled back on attempting to commit. The usual cause of this exception is either a validation failure or some run-time exception during the commit phase. The `status` object provides details suitable for display in a JFace error dialog or the like.

This class is intended to be instantiated by clients, particularly in the `ResourceSetListener.transactionAboutToCommit(ResourceSetChangeEvent)` method.

See Also:
  `Transaction.commit()`, `TransactionalCommandStack.execute(org.eclipse.emf.common.command.Command, java.util.Map)`, `ResourceSetListener.transactionAboutToCommit(ResourceSetChangeEvent)`, `ExceptionHandler`, Serialized Form

Constructor Summary
`RollbackException(IStatus status)` Initializes me with the status indicating the reason(s) for rolling back.

Method Summary
`IStatus` `getStatus()` Obtains the status describing the cause of the transaction rollback.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RollbackException

    public RollbackException(IStatus status)

  Initializes me with the status indicating the reason(s) for rolling back.

  Parameters:
    `status` - the status. Its severity should be `IStatus.ERROR` or greater, otherwise the transaction should not have rolled back

Method Detail

### getStatus

    public final IStatus getStatus()

  Obtains the status describing the cause of the transaction rollback. Its severity should be `IStatus.ERROR` or greater, otherwise the transaction should not have rolled back.

  Returns:
    the status

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.